using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;
using OpenAuth.Repository.Core;
using SqlSugar;

namespace OpenAuth.Repository.Domain
{
    /// <summary>
    /// 模块元素表(需要权限控制的按钮)
    /// </summary>
    [SugarTable("sys_moduleelement")]
    public partial class SysModuleElement 
    {
        [SugarColumn(IsPrimaryKey = true)]
        public string Id { get; set; }

        /// <summary>
        /// DOM ID
        /// </summary>
        [Description("DOM ID")]
        public string DomId { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }
        /// <summary>
        /// 元素附加属性
        /// </summary>
        [Description("元素附加属性")]
        public string Attr { get; set; }
        /// <summary>
        /// 元素调用脚本
        /// </summary>
        [Description("元素调用脚本")]
        public string Script { get; set; }
        /// <summary>
        /// 元素图标
        /// </summary>
        [Description("元素图标")]
        public string Icon { get; set; }
        /// <summary>
        /// 元素样式
        /// </summary>
        [Description("元素样式")]
        public string Class { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }
        /// <summary>
        /// 排序字段
        /// </summary>
        [Description("排序字段")]
        public int Sort { get; set; }
        /// <summary> 
        /// 功能模块Id
        /// </summary>
        [Description("功能模块Id")]
        public string ModuleId { get; set; }
        /// <summary> 
        /// 启用禁用状态字段（true启用，flse禁用）
        /// </summary>
        [Description("启用禁用状态字段（true启用，flse禁用）")]
        public bool Status { get; set; }

    }
}